Loading...
Searching...
No Matches
cert::ServerSSLCert::CertInfo Struct Reference

Certificate information. More...

## Public Attributes

CommonAttributes | subject
| Subject attributes.
CommonAttributes | issuer
| Issuer attributes.
vector< string > | names
| DNS names and/or IP addresses.
string | invalidBefore
| Begin of validity period.
string | invalidAfter
| End of validity period.
string | serialNumber
| Serial number.
KeyType | keyType
| Key type.
EllipticCurve | ellipticCurve
| Selected elliptic curve (only relevant if key type is ECDSA)
int | rsaKeyLength
| Length of the RSA key in bits (only relevant if key type is RSA)

## Detailed Description

Certificate information.

Definition at line 71 of file ServerSSLCert.idl.

## Member Data Documentation

## ellipticCurve

EllipticCurve cert::ServerSSLCert::CertInfo::ellipticCurve

Selected elliptic curve (only relevant if key type is ECDSA)

Definition at line 79 of file ServerSSLCert.idl.

## invalidAfter

string cert::ServerSSLCert::CertInfo::invalidAfter

End of validity period.

Definition at line 76 of file ServerSSLCert.idl.

## invalidBefore

string cert::ServerSSLCert::CertInfo::invalidBefore

Begin of validity period.

Definition at line 75 of file ServerSSLCert.idl.

## issuer

CommonAttributes cert::ServerSSLCert::CertInfo::issuer

Issuer attributes.

Definition at line 73 of file ServerSSLCert.idl.

## keyType

KeyType cert::ServerSSLCert::CertInfo::keyType

Key type.

Definition at line 78 of file ServerSSLCert.idl.

## names

vector<string> cert::ServerSSLCert::CertInfo::names

DNS names and/or IP addresses.

Definition at line 74 of file ServerSSLCert.idl.

## rsaKeyLength

int cert::ServerSSLCert::CertInfo::rsaKeyLength

Length of the RSA key in bits (only relevant if key type is RSA)

Definition at line 80 of file ServerSSLCert.idl.

## serialNumber

string cert::ServerSSLCert::CertInfo::serialNumber

Serial number.

Definition at line 77 of file ServerSSLCert.idl.

## subject

CommonAttributes cert::ServerSSLCert::CertInfo::subject

Subject attributes.

Definition at line 72 of file ServerSSLCert.idl.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl